Mail::SPF::v1::Record(3pm)

NAME
Mail::SPF::v1::Record - SPFv1 record class

VERSION
version 3.20260331

SYNOPSIS
See Mail::SPF::Record.

DESCRIPTION
An object of class Mail::SPF::v1::Record represents an SPFv1 ("v=spf1") record.

  Constructors
The following constructors are provided:

new(%options): returns Mail::SPF::v1::Record
    Creates a new SPFv1 record object.

    %options is a list of key/value pairs representing any of the following options:

    text
    terms
    global_mods
        See "new" in Mail::SPF::Record.

    scopes
        See "new" in Mail::SPF::Record. Since SPFv1 records always implicitly cover the "helo" and "mfrom" scopes, this option must either be exactly ['helo', 'mfrom'] (or ['mfrom', 'helo']) or be omitted.

new_from_string($text, %options): returns Mail::SPF::v1::Record; throws Mail::SPF::ENothingToParse, Mail::SPF::EInvalidRecordVersion, Mail::SPF::ESyntaxError
    Creates a new SPFv1 record object by parsing the string and any options given.

  Class methods
The following class methods are provided:

version_tag_pattern: returns Regexp
    Returns a regular expression that matches a version tag of 'v=spf1'.

default_qualifier
results_by_qualifier
    See "Class methods" in Mail::SPF::Record.

  Instance methods
The following instance methods are provided:

text
scopes
terms
global_mods
global_mod
stringify
eval
    See "Instance methods" in Mail::SPF::Record.

version_tag: returns string
    Returns 'v=spf1'.

SEE ALSO
Mail::SPF, Mail::SPF::Record, Mail::SPF::Term, Mail::SPF::Mech, Mail::SPF::Mod

<http://tools.ietf.org/html/rfc4408>

For availability, support, and license information, see the README file included with Mail::SPF.

AUTHORS
Julian Mehnle <julian@mehnle.net>, Shevek <cpan@anarres.org>